from peewee import *
from models import db

class Duck(Model):
    id = AutoField(primary_key=True)
    duck_integral = CharField(max_length=255, null=True)
    server_id = CharField(max_length=255, null=True)
    ld_name = CharField(max_length=255, null=True)
    duck_wallet = CharField(max_length=255, null=True)
    duck_evm_wallet = CharField(max_length=255, null=True, help_text='evmid')
    phone = CharField(max_length=255, null=True)
    token = TextField(null=True)
    is_server = CharField(max_length=255, null=True, help_text='是否在device_info表中 \n1：存在， \n0：不存在，\n2：不生效')
    stast = CharField(max_length=255, null=True, help_text='状态 1，加邀请。2：加频道。3：做任务')
    code = CharField(max_length=255, null=True, help_text='邀请码')
    social_media = CharField(max_length=255, null=True, help_text='初始任务')
    daily = CharField(max_length=255, null=True, help_text='daily任务')
    one_time = TextField(null=True, help_text='one_time任务')
    partner = CharField(max_length=255, null=True, help_text='partner任务')
    duck_wallet_stast = CharField(max_length=255, null=True, help_text='钱包绑定状态')
    depin = CharField(max_length=255, null=True)
    blum = CharField(max_length=255, null=True)
    yescoin = CharField(max_length=255, null=True)
    moonrabbits = CharField(max_length=255, null=True)
    kuroro_beasts_loscoin = CharField(max_length=255, null=True)
    blum_type = CharField(max_length=255, null=True)

    class Meta:
        database = db
        table_name = 'duck'